Compiling tempo2 on Ubuntu-AMD64

The pgplot packages shipped with ubuntu are not consistently compiled using -fPIC, which results in an unusable cpgplot wrapper-lib on AMD64 machines. This is the reason for tempo2 failing to compile. The following pgplot5-package fixes this problem, install using 'dpkg -i pgplot5_5.2.2-8.1_amd64.deb'

/pub/ATLAS/CompilingTempo2OnUbuntuAMD64/Pgplot5_5.2.2-8.1_amd64.deb.bz2

DocumentationForm edit

Title How to compile tempo2 on Ubuntu-AMD64
Description This pages describes how to compile tempo2 on Ubuntu-AMD64 which does not work properly initially
Tags pgplot tempo2 ubuntu
Category User, Developer
This topic: ATLAS > WebHome > GeneralDocumentation > CompilingTempo2OnUbuntuAMD64
Topic revision: 10 Feb 2012, ArthurVarkentin
This site is powered by FoswikiCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback